Accueil > Forum > Informatique > Programmation > MàJ de NetBeans

MàJ de NetBeans

✔ Ce sujet est résolu
Abelcfa Abelcfa 5 Messages
Bonjour,
j'ai un petit problème concernant le tuto sur le Moppy:
J'ai bien installé NetBeans (la dernière version 9.0 je crois) et JDK mais je ne peux pas ouvrir le projet MoppyDesk, NetBeans le considère comme un fichier et non comme un projet !
(d'ailleurs, on ne peut plus télécharger NetBeans et JDK ensemble depuis Oracle: la page nous redirige vers Apache où on doit les télécharger séparément, puis modifier un fichier netbean.conf pour les connecter ensemble. Ce serait bien de le préciser dans le tuto )
Du coup, j'ai téléchargé une version antérieure de NetBeans, la 8.2, qui était utilisée dans la présentation qui, elle a bien reconnu le projet. Mais cette version est complètement buggée et rien ne se passe quand j'appuie sur "exécuter"… 

Est-ce qu'il me manque un fichier propre à la nouvelle version de NetBeans ? Dois-je télécharger une autre version de JDK pour NetBeans 8.2 ? Est-ce que tous ceux qui ont téléchargés NetBeans 9.0 ont eu le même problème que moi ou est-ce que j'ai tout simplement fait une c****rie ?  
J'ai remarqué le même problème  sur le forum de GitHub mais le sujet a été fermé, faute de réponses… 
Merci de votre aide !

P.S: me tapez pas trop fort si je me suis trompé de rubrique, je découvre a peine le site 
lobodol lobodol 529 Messages BIG BOSS
Salut Abeldfa et bienvenue 

Pas de soucis, je déplace ton sujet dans le bon forum.

Effectivement, entre l'époque où j'ai rédigé cet article et aujourd'hui, pas mal de choses ont bougé.
Après, Netbean n'est pas le seul IDE qui fasse l'affaire.  Essaye avec Eclipse, ça fonctionnera peut-être mieux.

Et si malgré tout ça ne fonctionne toujours pas, penche-toi sur la version 2.0 de Moppy, elle fonctionnera certainement mieux avec les dernières versions de Java.
A chaque faute d'orthographe que vous faites, votre sexe rétrécit inexorablement ...
Abelcfa Abelcfa 5 Messages
OK, merci 
Je télécharge Eclipse car Moppy 2.0 ne fonctionne pas sur aucune version de NetBeans…
Et, par hasard, serait-ce possible de modifier le code pour rajouter différents instruments (relais, plasma speaker, steppers…) à partir du fichier MIDI ? J'aimerais monter un petit orchestre mécanique Je demande comme ca car si c'est pas possible,  je vais pas m'embêter à apprendre a coder en JAVA 
Abelcfa Abelcfa 5 Messages
Je ne comprend pas, Eclipse non plus ne reconnait pas MoppyDesk comme un  projet,  quelle que soit sa version !
En même temps, ça paraît normal: MoppyDesk est un dossier et pas un fichier ? 
lobodol lobodol 529 Messages BIG BOSS
Perso j'ai eu aucun problème pour ouvrir le projet avec Eclipse.
Mais bon, ne t'emmerde pas avec la version 1. Prend directement la dernière release de MoppyControlGUI et exécute le .bat (ou .sh selon ton OS) présent dans /bin :

AytlQTN
 Et data !
A chaque faute d'orthographe que vous faites, votre sexe rétrécit inexorablement ...
Abelcfa Abelcfa 5 Messages
Je ne trouve pas d'exécutable dans /bin, il n'y a qu'un dossier /com, puis /moppy puis /control et enfin une série de fichiers .class et .form… 
J'ai aussi essayé d'ouvrir le "dossier" MoppyDesk dans Eclipse et il me rapporte plein d'erreurs comme si il manquait des variables dans le code. Je peux essayer de l'arranger avec le système d'aide d'Eclipse mais vu mon niveau en JAVA, je risque juste de détruire le code définitivement…
lobodol lobodol 529 Messages BIG BOSS
T'as pas téléchargé le bon zip : MoppyControlGUI-2.0.1.zip
A chaque faute d'orthographe que vous faites, votre sexe rétrécit inexorablement ...
Abelcfa Abelcfa 5 Messages
Yess ça marche 
Merci beaucoup !
Vous devez être connecté pour pouvoir répondre à ce sujet.